*{
    box-sizing: border-box;
}
body{
    margin: 0;
    background-color: #BFF6C3;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100dvh;
}
.logo{
    height: 100px;
}
.container{
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 50vh; 
}
/*Oblikovanje headera*/
header{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    background-image: linear-gradient( to right,#80AF81,#597445);
    color: white;
    border-radius: 10px;
    padding: 5px;
}
/*Oblikovanje linkova*/
.izbornik{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.linkovi{
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    background-color: #ECEBDE;
    box-shadow: 0 4px 15px 0 white;
    background-image: linear-gradient( to right,#ACE1AF,#729762);
    border-radius: 15px;
    margin: 5px;
}
.linkovi a{
    display: flex;
    flex-wrap: wrap;
    margin: 5px;
    padding: 10px;
    flex-basis: 10px;
    text-decoration: none;
    color: black;
}
.linkovi a:hover {
    background-color: #A5DD9B;
    border-radius: 15px;
}
/*Oblikovanje sadržaja*/
.sadrzaj{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
article{
    background-image: linear-gradient( to bottom right,#80AF81,#ACE1AF);
    border-radius: 10px;
    max-width: 50%;
    margin: 10px;
    padding: 10px;
    font-size: large;
    text-align: justify;
    line-height: 1.5;
    flex: 1 1 400px;
}
.slika1{
    max-width: 30%;
    border-radius: 10px;
    border-radius: 10px;
    margin: 10px;
}
/* Oblikovanje forme */ 
.forma{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image: linear-gradient( to bottom right,#80AF81,#ACE1AF);
    max-height: 800px;
    max-width: 600px;
    margin: 20px;
    border: 2px solid #264143;
    border-radius: 20px;
    box-shadow: 3px 4px 0px 1px white;
}
h2{
    font-weight: bold;
    font-size: x-large;
    margin-top: 20px;
}
.label{
    font-weight: bold;
}
.stranica{
    display: flex;
    flex-direction: column;
    margin: 10px;
} 
input{
    border: 2px solid #264143;
    box-shadow: 3px 4px 0px 1px #729762;
    width: 250px;
    padding: 10px 10px;
    border-radius: 4px;
    font-size: large;
}
.stranica_button{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
}
.button{
    width: 120px;
    height: 40px;
    border: none;
    border-radius: 30px;
    padding: 7px;
    color: white;
    font-weight: bold;
    background-image: linear-gradient( to right,#729762,#ACE1AF);
    box-shadow: 0 10px 20px -7px #123524;
    transition: all 0.3s ease-in-out;
}
.button:hover {
    box-shadow: none;
    transform: translate(0px, 2.2px);
}
.button:active {
    transform: scale(0.96) translate(0px, 3.2px);
}
.ispis{
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 10px;
}
.opseg{
    background-color: #E7F0DC; 
    border: 2px solid gray; 
    border-radius: 10px;
    padding: 15px;
    margin: 5px;
    font-size: large;
    font-weight: bold;
}
.povrsina{
    background-color: #E7F0DC; 
    border: 2px solid gray; 
    border-radius: 10px;
    padding: 15px;
    margin: 5px;
    font-size: large;
    font-weight: bold;
}
.greska {
    color: #e74c3c; 
    font-weight: bold;
}
/*Oblikovanje footera*/
footer{
    background-image: linear-gradient( to right,#80AF81,#597445);
    color: white;
    border-radius: 10px;
    padding: 10px;
}
.skola{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}
.skola h2 {
    flex: 1 1 400px; 
    text-align: center; 
}